Self Assessment
The year's figures for Self Assessment, marking it filed, and the PDF.
| Method | Path | Summary |
|---|---|---|
| GET | /api/companies/:companyId/tax-return | A year's Self Assessment figures |
| PUT | /api/companies/:companyId/tax-return | Save Self Assessment choices |
| POST | /api/companies/:companyId/tax-return/file | Mark a year filed |
| POST | /api/companies/:companyId/tax-return/reopen | Reopen a filed year |
| GET | /api/companies/:companyId/tax-return/pdf | Self Assessment summary as PDF |
#A year's Self Assessment figures
GET
/api/companies/:companyId/tax-return- Address
https://<your-org>.brambleit.cloud/simplebooks/api/companies/:companyId/tax-return- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: SimpleBooks.
Path parameters
| Name | Type | Description |
|---|---|---|
companyIdrequired | integer |
Query parameters
| Name | Type | Description |
|---|---|---|
tax_year | any |
Response 200
| Field | Type | Description |
|---|---|---|
tax_year | any | |
status | string | |
filed_at | string (date-time) | |
hmrc_reference | any | |
notes | array of any | |
use_trading_allowance | boolean | |
figures | array of any | |
changed_since_filing | any | |
company | object | |
company.name | string | |
company.utr | any | |
company.year_end | any | |
can_edit | boolean |
Example response
JSON
{
"tax_year": null,
"status": "active",
"filed_at": "2026-11-12T09:30:00.000Z",
"hmrc_reference": null,
"notes": [],
"use_trading_allowance": false,
"figures": [],
"changed_since_filing": null,
"company": {
"name": "Example name",
"utr": null,
"year_end": null
},
"can_edit": true
}Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/simplebooks/api/companies/1/tax-return', {
method: 'GET',
credentials: 'include',
});
const data = await res.json();#Save Self Assessment choices
PUT
/api/companies/:companyId/tax-return- Address
https://<your-org>.brambleit.cloud/simplebooks/api/companies/:companyId/tax-return- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: SimpleBooks.
Path parameters
| Name | Type | Description |
|---|---|---|
companyIdrequired | integer |
Request body JSON
| Name | Type | Description |
|---|---|---|
tax_year | any | |
use_trading_allowance | any | Use the £1,000 trading allowance instead of expenses. |
notes | string |
Response 200
| Field | Type | Description |
|---|---|---|
ok | boolean |
Example response
JSON
{
"ok": true
}Errors
| Status | Message |
|---|---|
| 400 | Unknown tax year |
| 409 | This return is marked as filed — reopen it first |
Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/simplebooks/api/companies/1/tax-return', {
method: 'PUT',
credentials: 'include',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({"tax_year":"…","use_trading_allowance":"…","notes":"string"}),
});
const data = await res.json();#Mark a year filed
POST
/api/companies/:companyId/tax-return/file- Address
https://<your-org>.brambleit.cloud/simplebooks/api/companies/:companyId/tax-return/file- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: SimpleBooks.
Path parameters
| Name | Type | Description |
|---|---|---|
companyIdrequired | integer |
Request body JSON
| Name | Type | Description |
|---|---|---|
tax_year | any | |
hmrc_reference | string | HMRC's submission reference. |
Response 200
| Field | Type | Description |
|---|---|---|
ok | boolean |
Example response
JSON
{
"ok": true
}Errors
| Status | Message |
|---|---|
| 400 | Unknown tax year |
| 400 | The tax year hasn't finished yet |
Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/simplebooks/api/companies/1/tax-return/file', {
method: 'POST',
credentials: 'include',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({"tax_year":"…","hmrc_reference":"string"}),
});
const data = await res.json();#Reopen a filed year
POST
/api/companies/:companyId/tax-return/reopen- Address
https://<your-org>.brambleit.cloud/simplebooks/api/companies/:companyId/tax-return/reopen- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: SimpleBooks.
Path parameters
| Name | Type | Description |
|---|---|---|
companyIdrequired | integer |
Request body JSON
| Name | Type | Description |
|---|---|---|
tax_year | any |
Response 200
| Field | Type | Description |
|---|---|---|
ok | boolean |
Example response
JSON
{
"ok": true
}Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/simplebooks/api/companies/1/tax-return/reopen', {
method: 'POST',
credentials: 'include',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({"tax_year":"…"}),
});
const data = await res.json();#Self Assessment summary as PDF
GET
/api/companies/:companyId/tax-return/pdf- Address
https://<your-org>.brambleit.cloud/simplebooks/api/companies/:companyId/tax-return/pdf- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: SimpleBooks.
Path parameters
| Name | Type | Description |
|---|---|---|
companyIdrequired | integer |
Query parameters
| Name | Type | Description |
|---|---|---|
tax_year | any | |
download | string |
Response
A body.
Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/simplebooks/api/companies/1/tax-return/pdf', {
method: 'GET',
credentials: 'include',
});
const data = await res.json();Was this page helpful?
Thanks for your feedback.